## org.eclipse.emf.cdo.view
Interface CDOViewProvider

All Known Implementing Classes:
  AbstractCDOViewProvider, ManagedContainerViewProvider

    public interface CDOViewProvider

Capable of opening a `CDOView` on a target repository, defined by a URI. A regular expression and the priority are used to determine which is the most suitable provider

Since:
  2.0
See Also:
  `CDOView`, `CDOViewProviderRegistry`

Field Summary
`static int` `DEFAULT_PRIORITY`

Method Summary
`int` `getPriority()` Returns the priority of this provider.
`java.lang.String` `getRegex()` Returns the regular expression that determines if the provider can handle certain URI
`CDOView` `getView(org.eclipse.emf.common.util.URI uri, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` Receives a URI and returns an opened `CDOView` against the repository.
`boolean` `matchesRegex(org.eclipse.emf.common.util.URI uri)` Checks if the URI matches with the regular expression of this provider

Field Detail

### DEFAULT_PRIORITY

    static final int DEFAULT_PRIORITY

See Also:
  Constant Field Values

Method Detail

### getPriority

    int getPriority()

  Returns the priority of this provider. Usually used to choose between several `CDOViewProvider` that match the same repository URI.

### getRegex

    java.lang.String getRegex()

  Returns the regular expression that determines if the provider can handle certain URI

### matchesRegex

    boolean matchesRegex(org.eclipse.emf.common.util.URI uri)

  Checks if the URI matches with the regular expression of this provider

### getView

    CDOView getView(org.eclipse.emf.common.util.URI uri,
                    org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

  Receives a URI and returns an opened `CDOView` against the repository. The implementer is responsible to do the UUID to physical host map in case necessary.

  Returns:
    a wired-up and opened `CDOView`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.